Package openlink.util

## Class OPLHeapBlob.BlobInputStream

- java.lang.Object
- - java.io.InputStream
  - - openlink.util.OPLHeapBlob.BlobInputStream

Enclosing class:
  OPLHeapBlob

    protected class OPLHeapBlob.BlobInputStream
    extends java.io.InputStream

### Constructor Summary

Constructors
`protected` `BlobInputStream​(java.lang.Object lck)`
`protected` `BlobInputStream​(java.lang.Object lck, long pos, long length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close​()`
`int` `read​()`
`int` `read​(byte[] b, int off, int len)`
`long` `skip​(long n)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, readAllBytes, readNBytes, reset, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlobInputStream

    protected BlobInputStream​(java.lang.Object lck)

#### BlobInputStream

    protected BlobInputStream​(java.lang.Object lck,
                              long pos,
                              long length)

### Method Detail

#### read

    public int read​()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read​(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip​(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close​()

Overrides:
  `close` in class `java.io.InputStream`